'use strict';

var convertColorToken = require('../utils/convert-color-token.cjs');

function editSyntaxColors(document, color, range) {
    const colorPresentations = [];
    const selectedColorToken = document.getText(range);
    const targetColorToken = convertColorToken(color, selectedColorToken, this.css);
    if (targetColorToken) colorPresentations.push({
        label: targetColorToken,
        textEdit: {
            range,
            newText: targetColorToken
        }
    });
    return colorPresentations;
}

module.exports = editSyntaxColors;
