'use strict';

/* localeCompare equals to the real vscode completion items sorting */ function sortCompletionItems(items) {
    return items.sort((a, b)=>{
        const sortTextA = a.sortText || a.label;
        const sortTextB = b.sortText || b.label;
        return sortTextA.localeCompare(sortTextB);
    });
}

module.exports = sortCompletionItems;
